# $Revision: 1.52 $, $Date: 2009/04/25 09:32:29 $
#
# Available build options:
%bcond_with	checkpath	# enable check if php execution is within DOCUMENT_ROOT of the vhost
#
%define		mod_name	suphp
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: suPHP - execute PHP scripts with the permissions of their owners
Summary(pl.UTF-8):	Moduł do apache: suPHP - uruchamianie skryptów PHP z uprawnieniami ich właścicieli
Name:		apache-mod_%{mod_name}
Version:	0.7.1
Release:	1
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://www.suphp.org/download/%{mod_name}-%{version}.tar.gz
# Source0-md5:	c172dd4f15a75f4dcb08ea97d4202bb8
Source1:	%{name}.logrotate
Source2:	%{name}.conf
Source3:	%{name}-suphp.conf
Patch0:		%{name}-compiler-flags.patch
Patch1:		%{name}-apache_version.patch
URL:		http://www.suphp.org/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	php-cgi
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
suPHP is a tool for executing PHP scripts with the permissions of
their owners. It consists of an Apache module (mod_suphp) and a setuid
root binary (suphp) that is called by the Apache module to change the
uid of the process executing the PHP interpreter.

%description -l pl.UTF-8
suPHP jest narzędziem pozwalającym na wykonywanie skryptów w PHP z
uprawnieniami ich właścicieli. Składa się z modułu (mod_suphp) oraz
programu (suphp) z ustawionym bitem suid, który uruchamiany jest przez
moduł w celu zmiany uid procesu uruchamiającego interpreter PHP.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
APACHE_VERSION=$(rpm -q --qf '%{V}' apache-devel); export APACHE_VERSION
%configure \
	--%{?with_checkpath:en}%{!?with_checkpath:dis}able-checkpath \
	--with-apache-user=http \
	--with-min-uid=500 \
	--with-min-gid=1000 \
	--with-apxs=%{apxs} \
	--with-apr=%{_bindir}/apr-1-config \
	--with-setid-mode=owner \
	--with-logfile=/var/log/httpd/suphp_log

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{apachelibdir},%{_datadir}/suphp}
install -d $RPM_BUILD_ROOT%{apacheconfdir}

install src/suphp $RPM_BUILD_ROOT%{_sbindir}
install src/apache2/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{apacheconfdir}/70_mod_%{mod_name}.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{mod_name}.conf

install -d $RPM_BUILD_ROOT/etc/logrotate.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/apache-mod_suphp

install doc/suphp.conf-example $RPM_BUILD_ROOT%{_datadir}/suphp

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog doc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/*.so
%attr(4755,root,root) %{_sbindir}/suphp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%dir %{_datadir}/suphp
%{_datadir}/suphp/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_suphp.spec,v $
Revision 1.52  2009/04/25 09:32:29  adamg
- updated to 0.7.1

Revision 1.51  2009/02/28 17:11:42  adamg
- updated to 0.7.0
- -apr patch dropped
- pass --with-apr configure option
- drop obsolete --disable-checkuid and --disable-checkgid options
- call libtoolize, BR: libtool

Revision 1.50  2009/01/23 16:44:40  adamg
- previous commit reverted (mistake)

Revision 1.49  2009/01/23 16:40:45  adamg
- updated to 1.7.5

Revision 1.48  2008/10/25 15:50:03  blues
- HTTP group

Revision 1.47  2008/05/11 10:31:20  hawk
- updated to 0.6.3

Revision 1.46  2007-12-26 18:32:17  glen
- use conf.d for apache config fragment; rel 2

Revision 1.45  2007-12-09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.44  2007-09-17 20:29:43  mmazur
- up to 0.6.2; rel 1; sent to th

Revision 1.43  2007/09/11 12:30:06  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.42  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.41  2007/06/07 10:54:06  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.40  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.38  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.37  2006/01/30 17:39:10  glen
- use %service

Revision 1.36  2006/01/30 12:49:38  baggins
- release 1
- SANE settings
- works with apache 2.2 OOTB

Revision 1.35  2006/01/27 17:54:09  baggins
- removed hacks
- updated patches

Revision 1.34  2006/01/27 17:40:31  baggins
- update to 0.6.1

Revision 1.33  2005/12/28 13:37:03  glen
- rel 5

Revision 1.32  2005/12/27 00:56:51  glen
- unified

Revision 1.31  2005/12/22 00:54:09  glen
- kill apxs dep; rel 4

Revision 1.30  2005/12/22 00:52:08  glen
- fix build for apache 2.2
- fixed duplicate files
- rel 3

Revision 1.29  2005/07/03 16:39:55  aniolek
- added BR: libstdc++-devel

Revision 1.28  2005/07/01 20:07:18  zboczuch
- version 0.6.0
- compiler flags patch
- sample config file included
- removed configure option with-php (path to php should be specified in
  config file from now)
- ugly libtool trick (FIXME)

Revision 1.27  2005/06/08 23:23:40  ankry
- temporary, dirty build problem workaround, rel. 6

Revision 1.26  2005/03/13 23:04:49  adamg
- pass --with-php (with path to php.cgi, otherwise it uses /usr/bin/php
  which is a symlink to php.cli and this causes error 500)
- adapterized
- release 5

Revision 1.25  2004/10/30 08:27:00  ankry
- pl fix

Revision 1.24  2004/10/30 07:07:25  paladine
- unifications

Revision 1.23  2004/10/23 14:15:07  qboosh
- deps for apr1-based apache

Revision 1.22  2004/10/23 13:30:32  havner
- rel 4

Revision 1.21  2004/10/20 20:41:29  arekm
- apr update; untested

Revision 1.20  2004/10/10 10:34:02  havner
- rel 3

Revision 1.19  2004/09/19 19:11:56  radek
- release 2: fixed path, unified
- dropped apache1 bcond (apache1-*.spec is the right way)

Revision 1.18  2004/07/19 22:34:47  arekm
- fix apache1 support

Revision 1.17  2004/07/13 13:51:53  arekm
- 0.5.2

Revision 1.16  2004/05/30 12:40:09  hunter
- correct path of config file for apache

Revision 1.15  2004/02/28 13:34:06  arekm
- create dir for configuration

Revision 1.14  2004/02/24 15:59:41  erjot
- up to 0.5.1

Revision 1.13  2004/02/24 14:54:39  baggins
- don't install apache2 config when built with apache1

Revision 1.12  2004/02/24 14:45:20  baggins
- release 0.6
- NO! it does NOT obsolete php

Revision 1.11  2004/02/15 13:16:07  qboosh
- fixed bcond, better don't use globs for suid binaries

Revision 1.10  2004/02/15 11:22:28  erjot
- add config
- fix Req

Revision 1.9  2004/01/12 12:33:18  arekm
- also works with apache2 (todo: apache 2 configuration file)

Revision 1.8  2004/01/11 00:08:44  arekm
- updated to 0.5

Revision 1.7  2003/11/14 10:08:19  arekm
- rel 0.5 (disable DOCUMENT_ROOT check by default since it doesn't
  work for Alias'ed directiories; disable checkuid/checkgid as apache
  itself works in the same way with suexec and it's usefull for
  hosting companies)

Revision 1.6  2003/11/11 02:06:29  qboosh
- BR: ac,am

Revision 1.5  2003/10/25 18:09:23  adamg
- this update is sponsored by Marcin Kurzyna
- rotate mod_suphp logfiles
- fixed configure params
- bcond: --disable checkpath

Revision 1.4  2003/10/01 23:12:39  adamg
- updated to 0.3.1

Revision 1.3  2003/09/24 12:26:19  adamg
- added some configure options

Revision 1.2  2003/09/24 12:18:25  adamg
- added missing binary

Revision 1.1  2003/09/24 12:15:45  adamg
- initial import, for apache 1.3 only
- builds, not tested yet
